summaryrefslogtreecommitdiff
path: root/sysui
diff options
context:
space:
mode:
authorRĂ¼diger Timm <rt@openoffice.org>2008-09-02 10:56:00 +0000
committerRĂ¼diger Timm <rt@openoffice.org>2008-09-02 10:56:00 +0000
commit1e4a8863b415ef709281ee58dbaa08ebc0638506 (patch)
tree5384ebef98ce0c450e77ac29addf85cd6898ecf4 /sysui
parentc3620c0d50f8d4278a6fd9c2c205adddd43ff0b6 (diff)
INTEGRATION: CWS sysui30_DEV300 (1.7.2); FILE ADDED
2008/09/01 14:11:27 ihi 1.7.2.3: #i92874# yet another fix 2008/08/28 14:18:59 ihi 1.7.2.2: #i92874# 3-layer-office fix 2008/05/06 10:33:16 ihi 1.7.2.1: file postinstall was added on branch cws_ooo300_sysui30 on 2008-08-28 14:18:59 +0000
Diffstat (limited to 'sysui')
-rw-r--r--sysui/desktop/solaris/postinstall23
1 files changed, 23 insertions, 0 deletions
diff --git a/sysui/desktop/solaris/postinstall b/sysui/desktop/solaris/postinstall
new file mode 100644
index 0000000000..2f775ba6d7
--- /dev/null
+++ b/sysui/desktop/solaris/postinstall
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# check whether /usr is writable
+tiptoe="${PKG_INSTALL_ROOT}/usr/_.$$"
+touch "$tiptoe" >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+ exit 0
+fi
+rm -f "$tiptoe"
+
+# update shared mime database
+if [ -x /usr/bin/update-mime-database ]; then
+ update-mime-database ${PKG_INSTALL_ROOT}/usr/share/mime
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q
+elif (which update-desktop-database); then
+ update-desktop-database -q /usr/share/applications
+fi
+
+
+exit 0